> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a Webhook

> A `POST` to the `/Webhook` endpoint allows your application to create a Webhook.



## OpenAPI

````yaml post /v3/webhooks
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/webhooks:
    post:
      tags:
        - Webhook
      summary: Add a Webhook
      description: >-
        A `POST` to the `/Webhook` endpoint allows your application to create a
        Webhook.
      operationId: webhooks.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreWebhook'
      responses:
        '200':
          description: '`Webhook`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Webhook'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreWebhook:
      type: object
      properties:
        trigger:
          type: string
        url:
          type: string
          format: uri
        namespace:
          type: string
        is_active:
          type:
            - boolean
            - 'null'
        retry_daily:
          type:
            - boolean
            - 'null'
        retry_hourly:
          type:
            - boolean
            - 'null'
        queue:
          type:
            - string
            - 'null'
          enum:
            - high
            - default
            - low
        condition:
          type:
            - array
            - 'null'
          items:
            type: string
        extra_data_template:
          type:
            - string
            - 'null'
      required:
        - trigger
        - url
        - namespace
      title: StoreWebhook
    Webhook:
      type: object
      properties:
        id:
          type: integer
        trigger:
          type: string
        url:
          type: string
        namespace:
          type: string
        user_id:
          type:
            - integer
            - 'null'
        is_active:
          type: boolean
        retry_daily:
          type:
            - boolean
            - 'null'
        retry_hourly:
          type:
            - boolean
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        queue:
          type:
            - string
            - 'null'
        condition:
          type:
            - array
            - 'null'
          items: {}
        extra_data_template:
          type:
            - string
            - 'null'
      required:
        - id
        - trigger
        - url
        - namespace
        - user_id
        - is_active
        - retry_daily
        - retry_hourly
        - created_at
        - updated_at
        - queue
        - condition
        - extra_data_template
      title: Webhook
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````